Skip to content
Start here

Delete a Web Analytics site

client.rum.siteInfo.delete(stringsiteId, SiteInfoDeleteParams { account_id } params, RequestOptionsoptions?): SiteInfoDeleteResponse { site_tag }
DELETE/accounts/{account_id}/rum/site_info/{site_id}

Deletes an existing Web Analytics site.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Settings Write
ParametersExpand Collapse
siteId: string

Identifier.

maxLength32
params: SiteInfoDeleteParams { account_id }
account_id: string

Identifier.

maxLength32
ReturnsExpand Collapse
SiteInfoDeleteResponse { site_tag }
site_tag?: string

The Web Analytics site identifier.

Delete a Web Analytics site

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const siteInfo = await client.rum.siteInfo.delete('023e105f4ecef8ad9ca31a8372d0c353', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(siteInfo.site_tag);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "site_tag": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "site_tag": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}